gi-vte-2.91.35: Vte bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Vte.Functions

Contents

- Methods
  - getEncodingSupported
  - getEncodings
  - getFeatureFlags
  - getFeatures
  - getMajorVersion
  - getMicroVersion
  - getMinorVersion
  - getTermprops
  - getUserShell
  - installTermprop
  - installTermpropAlias
  - queryTermprop
  - queryTermpropById

Description

Synopsis

- getEncodingSupported :: (HasCallStack, MonadIO m) => Text -> m Bool
- getEncodings :: (HasCallStack, MonadIO m) => Bool -> m [Text]
- getFeatureFlags :: (HasCallStack, MonadIO m) => m [FeatureFlags]
- getFeatures :: (HasCallStack, MonadIO m) => m Text
- getMajorVersion :: (HasCallStack, MonadIO m) => m Word32
- getMicroVersion :: (HasCallStack, MonadIO m) => m Word32
- getMinorVersion :: (HasCallStack, MonadIO m) => m Word32
- getTermprops :: (HasCallStack, MonadIO m) => m (Maybe [Text])
- getUserShell :: (HasCallStack, MonadIO m) => m [Char]
- installTermprop :: (HasCallStack, MonadIO m) => Text -> PropertyType -> [PropertyFlags] -> m Int32
- installTermpropAlias :: (HasCallStack, MonadIO m) => Text -> Text -> m Int32
- queryTermprop :: (HasCallStack, MonadIO m) => Text -> m (Bool, Text, Int32, PropertyType, [PropertyFlags])
- queryTermpropById :: (HasCallStack, MonadIO m) => Int32 -> m (Bool, Text, PropertyType, [PropertyFlags])

# Methods

## getEncodingSupported

getEncodingSupported Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Text | `encoding`: the name of the legacy encoding
-> m Bool | Returns: `True` iff the legacy encoding `encoding` is supported

Deprecated: (Since version 0.60)

Queries whether the legacy encoding `encoding` is supported.

If ICU support is not available, this function always returns `False`.

Note that UTF-8 is always supported; you can select it by passing `Nothing` to `terminalSetEncoding`.

Since: 0.60

## getEncodings

getEncodings Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Bool | `includeAliases`: whether to include alias names
-> m [Text] | Returns: the list of supported encodings; free with `strfreev`

Deprecated: (Since version 0.60)

Gets the list of supported legacy encodings.

If ICU support is not available, this returns an empty vector. Note that UTF-8 is always supported; you can select it by passing `Nothing` to `terminalSetEncoding`.

Since: 0.60

## getFeatureFlags

getFeatureFlags Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m [FeatureFlags] | Returns: flags from `FeatureFlags`

Gets features VTE was compiled with.

Since: 0.62

## getFeatures

getFeatures Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m Text | Returns: a string with features

Gets a list of features vte was compiled with.

Since: 0.40

## getMajorVersion

getMajorVersion Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m Word32 | Returns: the major version

Returns the major version of the VTE library at runtime. Contrast this with `MAJOR_VERSION` which represents the version of the VTE library that the code was compiled with.

Since: 0.40

## getMicroVersion

getMicroVersion Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m Word32 | Returns: the micro version

Returns the micro version of the VTE library at runtime. Contrast this with `MICRO_VERSION` which represents the version of the VTE library that the code was compiled with.

Since: 0.40

## getMinorVersion

getMinorVersion Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m Word32 | Returns: the minor version

Returns the minor version of the VTE library at runtime. Contrast this with `MINOR_VERSION` which represents the version of the VTE library that the code was compiled with.

Since: 0.40

## getTermprops

getTermprops Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m (Maybe [Text]) | Returns: the names of the installed termprops, or `Nothing` if there are no termprops

Gets the names of the installed termprops in an unspecified order.

Since: 0.78

## getUserShell

getUserShell Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m [Char] | Returns: a newly allocated string with the user's shell, or `Nothing`

Gets the user's shell, or `Nothing`. In the latter case, the system default (usually "/bin/sh") should be used.

## installTermprop

installTermprop Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Text | `name`: a namespaced property name
-> PropertyType | `type`: a `PropertyType` to use for the property
-> [PropertyFlags] | `flags`: flags from `PropertyFlags`
-> m Int32 | Returns: an ID for the termprop

Installs a new terminal property that can be set by the application.

`name` must follow the rules for termprop names as laid out above; it must have at least 4 components, the first two of which must be "vte", and "ext". Use the `TERMPROP_NAME_PREFIX` macro which defines this name prefix.

You should use an identifier for your terminal as the first component after the prefix, as a namespace marker.

It is a programming error to call this function with a `name` that does not meet these requirements.

It is a programming error to call this function after any `Terminal` instances have been created.

It is a programming error to call this function if the named termprop is already installed with a different type or flags.

Since: 0.78

## installTermpropAlias

installTermpropAlias Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Text | `name`: a namespaced property name
-> Text | `targetName`: the target property name
-> m Int32 | Returns: the ID for the termprop `targetName`

Installs a new terminal property `name` as an alias for the terminal property `targetName`.

Since: 0.78

## queryTermprop

queryTermprop Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Text | `name`: a termprop name
-> m (Bool, Text, Int32, PropertyType, [PropertyFlags]) | Returns: `True` iff the termprop exists, and then `prop`, `type` and `flags` will be filled in

Gets the property type of the termprop. For properties installed by `installTermprop`, the name starts with "vte.ext.".

For an alias termprop (see `installTermpropAlias`), `resolvedName` will be name of the alias' target termprop; otherwise it will be `name`.

Since: 0.78

## queryTermpropById

queryTermpropById Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Int32 | `prop`: a termprop ID
-> m (Bool, Text, PropertyType, [PropertyFlags]) | Returns: `True` iff the termprop exists, and then `name`, `type` and `flags` will be filled in

Like `queryTermprop` except that it takes the termprop by ID. See that function for more information.

For an alias termprop (see `installTermpropAlias`), `resolvedName` will be name of the alias' target termprop; otherwise it will be `name`.

Since: 0.78